> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Virtual Account Metadata

> Returns metadata about the virtual accounts that can be created for a given country, currency, and entity. Use this to discover available payment method types, transfer limits, fund transfer networks, and on_behalf_of support.



## OpenAPI

````yaml get /v3/metadata/collection_accounts/virtual_account
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /v3/metadata/collection_accounts/virtual_account:
    get:
      summary: Get Virtual Account Metadata
      description: >-
        Returns metadata about the virtual accounts that can be created for a
        given country, currency, and entity. Use this to discover available
        payment method types, transfer limits, fund transfer networks, and
        on_behalf_of support.
      operationId: get-collection-account-virtual-account-metadata
      parameters:
        - name: country
          in: query
          description: Country in which the account is to be opened (ISO 3166 alpha-2).
          schema:
            type: string
        - name: currencies
          in: query
          description: Currencies in ISO format.
          schema:
            type: array
            items:
              type: string
        - name: entity
          in: query
          description: >-
            Entity identifier. Set entity id to get VA capabilities available
            for this particular entity. Capabilities not available for this
            entity wil be filtered out.
          schema:
            type: string
        - name: on_behalf_of
          in: query
          description: >-
            Set to true to get metadata for an on_behalf_of merchant. Set to
            false for a direct merchant.
          schema:
            type: boolean
      responses:
        '200':
          description: Virtual account metadata for the given filters.
          content:
            application/json:
              schema:
                type: object
                properties:
                  capabilities:
                    type: array
                    description: >-
                      List of virtual account capabilities available for the
                      given filters.
                    items:
                      $ref: '#/components/schemas/VirtualAccountCapability'
              examples:
                Result:
                  value:
                    capabilities:
                      - payment_method_type: local_bank_transfer_cad
                        currencies:
                          - CAD
                        transfer_limit:
                          minimum:
                            amount: 100
                            ccy: CAD
                          maximum:
                            amount: 1000000
                            ccy: CAD
                          currency: CAD
                        on_behalf_of:
                          support: true
                          restricted_industry_verticals:
                            - gambling
                            - firearms
                          additional_requirements:
                            - entity_approval_required
                          restricted_remitter_countries:
                            - US
                            - CN
                          restricted_account_holder_countries:
                            - RU
                            - IR
                        local:
                          fund_transfer_networks:
                            - name: EFT
                              transfer_limit:
                                minimum:
                                  amount: 100
                                  ccy: CAD
                                maximum:
                                  amount: 500000
                                  ccy: CAD
                                currency: CAD
                              additional_information: >-
                                Settlement TAT: T+1 business days. Available
                                Monday to Friday.
                        setup_time: instant
                        account_reenablement_supported: true
                      - payment_method_type: wire_transfer
                        currencies:
                          - USD
                        transfer_limit:
                          minimum:
                            amount: 1000
                            ccy: USD
                          maximum:
                            amount: 5000000
                            ccy: USD
                          currency: USD
                        on_behalf_of:
                          support: true
                          restricted_industry_verticals:
                            - crypto
                            - adult_content
                          additional_requirements:
                            - entity_submission_required
                          restricted_remitter_countries:
                            - KP
                          restricted_account_holder_countries:
                            - RU
                            - BY
                        local:
                          fund_transfer_networks:
                            - name: SWIFT
                              transfer_limit:
                                minimum:
                                  amount: 1000
                                  ccy: USD
                                maximum:
                                  amount: 5000000
                                  ccy: USD
                                currency: USD
                              additional_information: 'Settlement TAT: T+2 business days.'
                        setup_time: t_plus_1
                        account_reenablement_supported: false
components:
  schemas:
    VirtualAccountCapability:
      type: object
      description: >-
        Metadata for a virtual account payment method type available to the
        merchant.
      properties:
        payment_method_type:
          type: string
          description: Type of payment method.
        currencies:
          type: array
          items:
            type: string
          description: Currencies supported by this virtual account type.
        transfer_limit:
          $ref: '#/components/schemas/TransferLimit'
        on_behalf_of:
          $ref: '#/components/schemas/VirtualAccountOnBehalfOf'
        local:
          type: object
          description: Local fund transfer network details.
          properties:
            fund_transfer_networks:
              type: array
              description: Fund transfer networks available for this account.
              items:
                $ref: '#/components/schemas/FundTransferNetwork'
        setup_time:
          type: string
          enum:
            - instant
            - same_day
            - t_plus_1
            - t_plus_2
            - t_plus_3
            - extended
          description: Time required to set up the virtual account.
        account_reenablement_supported:
          type: boolean
          description: Whether the account can be re-enabled after being disabled.
    TransferLimit:
      type: object
      description: Minimum and maximum transfer limits.
      properties:
        minimum:
          type: object
          properties:
            amount:
              type: number
            ccy:
              type: string
        maximum:
          type: object
          properties:
            amount:
              type: number
            ccy:
              type: string
        currency:
          type: string
          description: Currency in which the limits are specified.
    VirtualAccountOnBehalfOf:
      type: object
      description: >-
        on_behalf_of collection support details for a virtual account
        capability.
      properties:
        support:
          type: boolean
          description: Whether on_behalf_of collections can be created.
        restricted_industry_verticals:
          type: array
          items:
            type: string
          description: Industry verticals restricted for on_behalf_of collections.
        additional_requirements:
          type: array
          items:
            type: string
            enum:
              - entity_approval_required
              - entity_submission_required
          description: Additional requirements for on_behalf_of collections.
        restricted_remitter_countries:
          type: array
          items:
            type: string
          description: Sender countries restricted for on_behalf_of collections.
        restricted_account_holder_countries:
          type: array
          items:
            type: string
          description: Account holder countries restricted for on_behalf_of collections.
    FundTransferNetwork:
      type: object
      description: A fund transfer network available for a virtual account.
      properties:
        name:
          type: string
          description: Name of the fund transfer network.
        transfer_limit:
          $ref: '#/components/schemas/TransferLimit'
        additional_information:
          type: string
          description: Additional info about the network (TAT, availability, etc.).
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````